<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- 
Copyright (c) 2011, Texas Instruments. All rights reserved.

This program and the accompanying materials are made available under the 
terms of the Eclipse Public License v1.0 and Eclipse Distribution License
v. 1.0 which accompanies this distribution. The Eclipse Public License is
available at http://www.eclipse.org/legal/epl-v10.html and the Eclipse
Distribution License is available at 
    http://www.eclipse.org/org/documents/edl-v10.php.

Contributors:
   Texas Instruments - initial implementation
-->

<gep name="XDC/TimestampNull" title="Constant Timerstamp Provider" version="1">

<page>
<html><body>
  <table>
    <tr><td colspan="2">  <form><p>This module provides time values for the <a href="http://rtsc.eclipseprojects.io/cdoc-tip/index.html#xdc/runtime/Timestamp.html">Timestamp</a> module.  In this case, a constant 0 value is always returned.  This module is used to minimize code space and time overhead for configurations which do not need timestamps but use other modules that require a timestamp provider.</p><p></p></form></td></tr>
    <tr><td colspan="2">
      <control type="checkbox" label="Add TimestampNull to my configuration" value="value:this.$used" bold="true"/></td>
    </tr>
  </table>
</body></html>
</page>
</gep>
